pcl::octree::OctreeContainerEmpty Class Reference

Octree container class that does not store any information. More...

`#include <pcl/octree/octree_container.h>`

Inheritance diagram for pcl::octree::OctreeContainerEmpty:

## Public Member Functions

| OctreeContainerEmpty ()
| Empty constructor. More...
| OctreeContainerEmpty (const OctreeContainerEmpty &)
| Empty constructor. More...
virtual | ~OctreeContainerEmpty ()
| Empty deconstructor. More...
virtual OctreeContainerEmpty * | deepCopy () const
| Octree deep copy method. More...
virtual size_t | getSize () const
| Abstract get size of container (number of DataT objects) More...
virtual void | reset ()
| Abstract reset leaf node implementation. More...
void | addPointIndex (int)
| Empty addPointIndex implementation. More...
int | getPointIndex () const
| Empty getPointIndex implementation as this leaf node does not store any point indices. More...
void | getPointIndices (std::vector< int > &) const
| Empty getPointIndices implementation as this leaf node does not store any data. More...
Public Member Functions inherited from pcl::octree::OctreeContainerBase
| OctreeContainerBase ()
| Empty constructor. More...
| OctreeContainerBase (const OctreeContainerBase &)
| Empty constructor. More...
virtual | ~OctreeContainerBase ()
| Empty deconstructor. More...
virtual bool | operator== (const OctreeContainerBase &) const
| Equal comparison operator. More...
bool | operator!= (const OctreeContainerBase &other) const
| Inequal comparison operator. More...
void | addPointIndex (const int &)
| Empty addPointIndex implementation. More...
void | getPointIndex (int &) const
| Empty getPointIndex implementation as this leaf node does not store any point indices. More...
void | getPointIndices (std::vector< int > &) const
| Empty getPointIndices implementation as this leaf node does not store any data. More...

## Detailed Description

Octree container class that does not store any information.

Note
  Can be used for occupancy trees that are used for checking only the existence of leaf nodes in the tree

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 134 of file octree_container.h.

## Constructor & Destructor Documentation

pcl::octree::OctreeContainerEmpty::OctreeContainerEmpty | ( |  | ) |

inline

Empty constructor.

Definition at line 138 of file octree_container.h.

pcl::octree::OctreeContainerEmpty::OctreeContainerEmpty | ( | const OctreeContainerEmpty & |  | ) |

inline

Empty constructor.

Definition at line 144 of file octree_container.h.

virtual pcl::octree::OctreeContainerEmpty::~OctreeContainerEmpty | ( |  | ) |

inline virtual

Empty deconstructor.

Definition at line 151 of file octree_container.h.

## Member Function Documentation

void pcl::octree::OctreeContainerEmpty::addPointIndex | ( | int |  | ) |

inline

Empty addPointIndex implementation.

This leaf node does not store any point indices.

Definition at line 181 of file octree_container.h.

virtual OctreeContainerEmpty* pcl::octree::OctreeContainerEmpty::deepCopy | ( |  | ) | const

inline virtual

Octree deep copy method.

Definition at line 157 of file octree_container.h.

int pcl::octree::OctreeContainerEmpty::getPointIndex | ( |  | ) | const

inline

Empty getPointIndex implementation as this leaf node does not store any point indices.

Definition at line 188 of file octree_container.h.

void pcl::octree::OctreeContainerEmpty::getPointIndices | ( | std::vector< int > & |  | ) | const

inline

Empty getPointIndices implementation as this leaf node does not store any data.

\

Definition at line 197 of file octree_container.h.

virtual size_t pcl::octree::OctreeContainerEmpty::getSize | ( |  | ) | const

inline virtual

Abstract get size of container (number of DataT objects)

Returns
  number of DataT elements in leaf node container.

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 166 of file octree_container.h.

virtual void pcl::octree::OctreeContainerEmpty::reset | ( |  | ) |

inline virtual

Abstract reset leaf node implementation.

Implements pcl::octree::OctreeContainerBase.

Definition at line 173 of file octree_container.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/octree/include/pcl/octree/octree_container.h